
TYPO3.Flow - Bug # 37547

Status: Resolved Priority: Must have
Author: Michel Albers Category: Persistence
Created: 2012-05-28 Assigned To: Karsten Dambekalns
Updated: 2012-06-20 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.1
Subject: Exception "No class schema found for "Doctrine\Common\Collections\Collection". The   class should 

probably marked as entity or value object!" should point out which model triggers the error
Description

title says all

Related issues:
related to TYPO3.Flow - Bug # 34545: Hint at wrong usage of @ORM\MappedSuperc... Resolved 2012-03-05

Associated revisions
Revision a88b400c - 2012-06-20 14:47 - Karsten Dambekalns

[BUGFIX] Inform about possible cause for "No class schema found"

When mapping meta data for Doctrine an error about "No class schema
found for …" could occur. It would not tell in what model the mapping
was taking place, leaving the user to guesswork. This adds output
of the currently examined class to the exception.

Change-Id: I5c617cbc28b02db1e3b7389f963fd1ab50b3cf3b
Fixes: #37547
Releases: 1.1, 1.2

Revision 82e8f439 - 2012-06-20 15:42 - Karsten Dambekalns

[BUGFIX] Inform about possible cause for "No class schema found"

When mapping meta data for Doctrine an error about "No class schema
found for …" could occur. It would not tell in what model the mapping
was taking place, leaving the user to guesswork. This adds output
of the currently examined class to the exception.

Change-Id: I5c617cbc28b02db1e3b7389f963fd1ab50b3cf3b
Fixes: #37547
Releases: 1.1, 1.2

History
#1 - 2012-05-29 10:15 - Karsten Dambekalns
- Project changed from Doctrine 2 to TYPO3.Flow
- Category deleted (1042)
#2 - 2012-05-29 10:16 - Karsten Dambekalns
- Category set to Persistence
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version changed from 1.1 beta 2 to 1.1 RC1
- Has patch set to No
- Affected Flow version set to Git 1.1

#3 - 2012-06-20 11:50 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12211

#4 - 2012-06-20 14:47 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12211

#5 - 2012-06-20 15:09 - Francois Suter

Michel, I don't know if this will help in your case, but I had the same error message and the mistake, in my case, was a inverted usage of
OneToMany/ManyToOne annotation.

#6 - 2012-06-20 15:42 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12219

#7 - 2012-06-20 16:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a88b400cee51f51e032de71d42d8c03eec545d26.

#8 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3
